#use Appimage

Name:           rustdesk
Version:     	1.2.3.2
Release:        %mkrel 1
Summary:        Remote desktop application
Group:		Networking/Remote access
License:        GPL-3.0
Packager:  	Agent Smith <ruidobranco@yahoo.com.br>
URL:            https://github.com/rustdesk
Source1:        %{name}.png
#-----------------------------------------------------------------

%description

Open source virtual / remote desktop infrastructure for everyone! The open source TeamViewer alternative. Display and control your PC and Android devices from anywhere at anytime.

%prep

%build

%install

pushd %{_sourcedir}
wget -nc https://github.com/rustdesk/rustdesk/releases/download/1.2.3-2/rustdesk-1.2.3-2-x86_64.AppImage
chmod +x rustdesk-1.2.3-2-x86_64.AppImage
popd

install -Dm 0755 %{_sourcedir}/rustdesk-1.2.3-2-x86_64.AppImage %{buildroot}/opt/appimage/%{name}-%{version}-linux-x86_64.AppImage
install -Dm 0644 %SOURCE1 %{buildroot}/%{_datadir}/pixmaps/%{name}.png

mkdir -p %{buildroot}/%{_bindir}
ln -fs /opt/appimage/%{name}-%{version}-linux-x86_64.AppImage %{buildroot}/%{_bindir}/%{name}

# Installs the launcher
install -d %{buildroot}%{_datadir}/applications
cat << EOF > %{buildroot}%{_datadir}/applications/%{name}.desktop
[Desktop Entry]
Type=Application
Name=Rustdesk
GenericName=rustdesk
Comment=%{summary}
Exec=%{name}
Icon=%{name}.png
Categories=Network;RemoteAccess;
Keywords=
EOF

%post
%update_menus

%postun
%clean_menus

%clean
rm -rf %{buildroot}

%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
/opt/appimage/%{name}-%{version}-linux-x86_64.AppImage



%changelog

* Tue Apr 16 2024 Agent Smith <ruidobranco@yahoo.com.br> - 1.2.3.2-1pclos2023
- Updated the pkg from Appimage.

* Wed Oct 11 2023 Agent Smith <ruidobranco@yahoo.com.br> - 1.2.3-1pclos2023
- Updated the pkg from Appimage.

* Tue Sep 05 2023 Agent Smith <ruidobranco@yahoo.com.br> - 1.2.2-1pclos2023
- Updated the pkg from Appimage.

* Thu Aug 17 2023 Agent Smith <ruidobranco@yahoo.com.br> - 1.2.1-1pclos2023
- Updated the pkg from Appimage.

* Tue May 09 2023 Agent Smith <ruidobranco@yahoo.com.br> - 1.2.0-3pclos2023
- Fixed the group.

* Thu Mar 09 2023 tex - 1.2.0-2pclos2023
- author fixed program

* Thu Jan 26 2023 Agent Smith <ruidobranco@yahoo.com.br> - 1.2.0-1pclos2023
- Created pkg from Appimage.




